<!--
  (c) Copyright Tobias Hofmann
  https://www.itsfullofstars.de
  Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 -->
 <core:FragmentDefinition 
	xmlns="sap.m" 
	xmlns:core="sap.ui.core" 
	xmlns:f="sap.ui.layout.form" 
	xmlns:l="sap.ui.layout"
	xmlns:qr="de.itsfullofstars.qrscanner.controls">
	
	<Dialog 
		id="QrCodeDialog" 
		title="Scan QR Code" 
		draggable="false"
		resizable="false">
		
		<VBox width="100%">
			<f:SimpleForm editable="false" layout="ResponsiveLayout">				
				<Text text="{/QRCode}" />
			</f:SimpleForm>
			
			<FlexBox
				width="100%"
				height="100%"
				alignItems="Center"
				justifyContent="Center">
				
				<qr:QRScanner 
					id="scanner"
					width="640px"
					height="480px"
					videoWidth="640px"
					videoHeight="480px"
					scanned=".onQRCodeScanned"/>
			</FlexBox>
		</VBox>
		<buttons>
			<Button text="Close" press="onQrCodeDialogClose"/>		
		</buttons>
		
	</Dialog>
</core:FragmentDefinition>